1. Check for npm with npm -v / npm install 

  if you dont have vite with the Laravel installation run:
 - npm i @vitejs/plugin-vue

2. For Vue.js -
  - npm install  vue@next vue-loader@next

2. php artisan migrate
    
3. php artisan serve 
 

